# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize libgcrypt-devel libreadline-devel pkgconfig(gconf-2.0) pkgconfig(gdk-pixbuf-2.0) pkgconfig(glib-2.0) pkgconfig(gthread-2.0) pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:		gnomint
Version:	1.2.1
Release:	alt2_5
Summary:	Graphical x509 Certification Authority management tool

Group:		Security/Networking
License:	GPLv3+
URL:		http://gnomint.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-DSO-libgcrypt.patch

BuildRequires:	libgnutls-devel >= 2
BuildRequires:	libgnomeui-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML/Parser.pm)
BuildRequires:	libsqlite3-devel >= 3
BuildRequires:	intltool
BuildRequires:	readline-devel

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun): GConf2
Source44: import.info

%description
Certification Authority management made easy.

gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.


%description -l ru_RU.UTF-8
gnoMint позволяет запустить свой Центр Сертификации, создавая
сертификаты для любого назначения: цифровой подписи и/или шифрования
сообщений эл. почты; TLS аутентификации через веб, VPN и других
протоколов, защищённых веб-серверов...
Его разработка была начата вследствии отсутствия 'работающих из коробки'
CA программ. Создания CA с нуля через открытые командные утилиты вполне
возможно,
но неудобно запоминать все необходимые параметры, также требуется
создавать сложные конфигурационные файлы. Поэтому создан gnoMint, он
поможет системным и сетевым администраторам очень легко разворачивать
Центр Сертфикации. На данный момент gnoMint позволяет:

 * Создавать всю инфраструктуру для поддержания и запуска Центра
   Сертификации, сохранённой только в одном файле.
 * Создавать Запросы на подпись Сертификата, позволяя экспортировать их
   в файлы формата PKCS#8, т.о. они могут быть переданы в другие CA.
 * Создавать X.509 сертификаты с обычным набором заголовочных параметров
 * Экспорт сертификатов и закрытых ключей в PEM файлы, т.о. они могут
   быть использованы во внешних приложениях.
 * Для каждого CA устанавливается набор политик для генерации
   сертификатов.
 * Импорт CSR делается другими приложениями
 * Экспорт PKCS#12 структур, т.о. сертификаты могут быть легко
   импортированы веб и почтовыми клиентами.
 * Отзыв сертификатов и создание соотвествующего CRL.
 * Позволяет хранить закрытые ключи CA или других закрытых ключей во
   внешних файлах или носителях (таких как флэш-диски).
 * Позволяет управлять целой иерархией CA со своими сертификатами.
 * Импорт существующих Центров Сертификации со своими данными.
 * Позволяет легко осуществлять CA-операции из коммандной строки для
   пакетного создания сертификатов или интеграции с другими утилитами.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-dependency-tracking --disable-schemas-install
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original \
  --remove-category=Application \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS MAINTAINERS 
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-upgrade-db
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}/*.ui

%changelog
* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt2_5
- initial fc import

* Wed Mar 09 2011 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt2
- updated buildrequires
- minor spec cleanup

* Wed Aug 18 2010 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt1
- New version 1.2.1

* Wed Aug 11 2010 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt1
- New version 1.2.0

* Sun Jan 17 2010 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt1
- New version 1.1.0

* Wed Jun 03 2009 Vladimir Lettiev <crux@altlinux.ru> 0.9.9-alt1.r322
- r322
- translation moved to upstream (droped patch1 and source2)
- fix build with new libgnutls 2.8.x
  + fix usage of gnutls_x509_crq_get_key_id()
  + commented out unknown member of TlsCsr struct

* Tue Apr 07 2009 Vladimir Lettiev <crux@altlinux.ru> 0.9.9-alt1.r314
- initial build

